Subject: Re: linux-next: manual merge of the akpm tree with the net-next tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 2 Jun 2020 19:45:17 +1000

Hi all,

On Tue, 2 Jun 2020 19:30:48 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Today's linux-next merge of the akpm tree got a conflict in:
> 
>   kernel/trace/bpf_trace.c
> 
> between commit:
> 
>   b36e62eb8521 ("bpf: Use strncpy_from_unsafe_strict() in bpf_seq_printf() helper")
> 
> from the net-next tree and patch:
> 
>   "bpf:bpf_seq_printf(): handle potentially unsafe format string better"
> 
> from the akpm tree.
> 
> I fixed it up (I just dropped the akpm tree patch (and its fix) for now)
> and can carry the fix as necessary. This is now fixed as far as linux-next
> is concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.

I also had to ad the below patch:

From: Stephen Rothwell <[email-masked]>
Date: Tue, 2 Jun 2020 19:40:42 +1000
Subject: [PATCH] fix up for strncpy_from_unsafe_strict rename

Signed-off-by: Stephen Rothwell <[email-masked]>
---
 kernel/trace/bpf_trace.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/kernel/trace/bpf_trace.c b/kernel/trace/bpf_trace.c
index af4bca8343ad..0d88e9b24928 100644
--- a/kernel/trace/bpf_trace.c
+++ b/kernel/trace/bpf_trace.c
@@ -619,7 +619,7 @@ BPF_CALL_5(bpf_seq_printf, struct seq_file *, m, char *, fmt, u32, fmt_size,
 				goto out;
 			}
 
-			err = strncpy_from_unsafe_strict(bufs->buf[memcpy_cnt],
+			err = strncpy_from_kernel_nofault(bufs->buf[memcpy_cnt],
 							 (void *) (long) args[fmt_cnt],
 							 MAX_SEQ_PRINTF_STR_LEN);
 			if (err < 0)
-- 
2.26.2

-- 
Cheers,
Stephen Rothwell